<?php
	$rdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $rdata)));
	$jdata = array_map('to_utf8', array_map('nl2br', array_map('html_attr_tags_ok', $jdata)));
?>
<script>
	$j(function() {
		var tn = 'colaborar_atividade';

		/* data for selected record, or defaults if none is selected */
		var data = {
			id_categoria: <?php echo json_encode(array('id' => $rdata['id_categoria'], 'value' => $rdata['id_categoria'], 'text' => $jdata['id_categoria'])); ?>,
			colaboracao: <?php echo json_encode(array('id' => $rdata['colaboracao'], 'value' => $rdata['colaboracao'], 'text' => $jdata['colaboracao'])); ?>,
			categoria: <?php echo json_encode(array('id' => $rdata['categoria'], 'value' => $rdata['categoria'], 'text' => $jdata['categoria'])); ?>,
			unidade: <?php echo json_encode(array('id' => $rdata['unidade'], 'value' => $rdata['unidade'], 'text' => $jdata['unidade'])); ?>
		};

		/* initialize or continue using AppGini.cache for the current table */
		AppGini.cache = AppGini.cache || {};
		AppGini.cache[tn] = AppGini.cache[tn] || AppGini.ajaxCache();
		var cache = AppGini.cache[tn];

		/* saved value for id_categoria */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'id_categoria' && d.id == data.id_categoria.id)
				return { results: [ data.id_categoria ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for colaboracao */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'colaboracao' && d.id == data.colaboracao.id)
				return { results: [ data.colaboracao ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for categoria */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'categoria' && d.id == data.categoria.id)
				return { results: [ data.categoria ], more: false, elapsed: 0.01 };
			return false;
		});

		/* saved value for unidade */
		cache.addCheck(function(u, d) {
			if(u != 'ajax_combo.php') return false;
			if(d.t == tn && d.f == 'unidade' && d.id == data.unidade.id)
				return { results: [ data.unidade ], more: false, elapsed: 0.01 };
			return false;
		});

		cache.start();
	});
</script>

